package com.brilliance.isc.funds.vo;

import com.brilliance.isc.common.vo.PageVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @description:
 * @author: hulei
 * @create: 2024-09-25 15:10
 **/

@Data
@NoArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class FxdVo extends PageVo {

    /**
     *  业务编号
     */
    private String seaownref;
    /**
     * 业务名称
     */
    private String nam;


    /**
     * 汇款开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatfrom;
    /**
     * 汇款截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatto;

    /**
     * //币种
     */
//    private String seacur;

//    /**
//     * //金额从
//     */
//    private BigDecimal seaamtfr;
//    /**
//     * //金额到
//     */
//    private BigDecimal seaamtto;

    /**
      *参与方参考号
     */
//    private String searef;
    /**
     * 参与方名称
     * */
//    private String seapty;

//    /**
//     * 角色 User
//     * */
//    private String searol;

//    /**
//     * user ID
//     * */
//
//    private String usrextkey;

    /**
     *状态
     * */
    private String seasta;

    /**
     * 结售汇类型
     * */
    private String fxtyp;
    /**
     * 客户名称
     * */
    private String ownusr;
    /***
     * 账户经理
     * */
    private String accmng;
    /**
     * 资金部经办人
     * */
    private String usr;

    /***
     * 外币和本币结算账户
     * */
    private String acc;
    private String acc2;



}
